<div class="dialogo">
    <div class="titulo">{{datos.titulo}}</div>
    <mat-divider></mat-divider>
    <div *ngIf="datos.mensaje != null" class="mensaje">{{datos.mensaje}}</div>

    <div *ngIf="datos.inTextShow" class="inputText-div">
        <mat-form-field class="inputText" appearance="fill">
            <mat-label>{{datos.inTextLabel}}</mat-label>
            <input matInput [(ngModel)]="datos.inTextVal" class="">
        </mat-form-field>
    </div>

    <div *ngIf="datos.inOpcionShow" class="inputText-div">
        <mat-form-field appearance="fill" class="inputText">
            <mat-label>{{datos.inOpcionLabel}}</mat-label>
            <mat-select [(ngModel)]="datos.inOpcionSel" name="opcion">
                <mat-option *ngFor="let op of datos.inOpcionValrs" [value]="op">
                    {{op.cadena}}
                </mat-option>
            </mat-select>
        </mat-form-field>
    </div>

    <div *ngIf="datos.isOkcancel" class="btns-OkCancel-div">
        <button mat-raised-button (click)="onOkClick()" class="botones">{{datos.btnOkLabel? datos.btnOkLabel: 'Aceptar'}}</button>
        <button mat-raised-button (click)="onCancelclick()" class="botones">Cancelar</button>
    </div>
    <div *ngIf="!datos.isOkcancel" class="btns-OkCancel-div">
        <button mat-raised-button (click)="onOkClick()" class="botones">Aceptar</button>
    </div>
</div>